String getIdFromUrl(String url, [bool trimWhitespaces = true]) {

  if(url == null || url.length == 0)
    return null;

  if(trimWhitespaces)
    url = url.trim();

  for(var exp in _regexps) {
    Match match = exp.firstMatch(url);
    if(match != null && match.groupCount >= 1)
      return match.group(1);
  }

  return null;
}

final List<RegExp> _regexps = [
  new RegExp(r"^https:\/\/.*youtube\.com\/watch\?v=([_\-a-zA-Z0-9]{11}).*$"),
  new RegExp(r"^https:\/\/.*youtu\.be\/([_\-a-zA-Z0-9]{11}).*$")
];
